package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class CreateContactExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		Contact contact =  new Contact();
		contact.setFirstName("John");
		contact.setLastName("Doe");
		contact.setAddress1("Address1Test");
		contact.setPostalCode("888349");
		contact.setCity("CityTest");
		contact.setCountryCode("DK");
		contact.setEmail("administrator@ascio-test-domain.com");
		contact.setPhone("+45.123456789");


		try {
			//inputs holders

			ContactHolder contactHolder = new ContactHolder(contact);

			Response response = env.getClient().createContact(env.getSessionId(), contactHolder);


			System.out.println("CreateContact ResultCode\t: " + response.getResultCode().toString());
			System.out.println("CreateContact Message\t: " + response.getMessage());
			System.out.println("Created Handle\t: " + contactHolder.value.getHandle());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}