package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class CreateDnsSecKeyExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		DnsSecKey dnsSecKey =  new DnsSecKey();
		dnsSecKey.setDigestAlgorithm("RSA-SHA256");
		dnsSecKey.setDigestType("SHA-256");
		dnsSecKey.setDigest("846E5ED4AB6788032B89393619752F662CF2B7B2046A8EC0804DF88F1469AC1E");
		dnsSecKey.setKeyTag("2224");


		try {
			//inputs holders

			DnsSecKeyHolder dnsSecKeyHolder = new DnsSecKeyHolder(dnsSecKey);

			Response response = env.getClient().createDnsSecKey(env.getSessionId(), dnsSecKeyHolder);


			System.out.println("CreateDnsSecKey ResultCode\t: " + response.getResultCode().toString());
			System.out.println("CreateDnsSecKey Message\t: " + response.getMessage());
			System.out.println("Created Handle\t: " + dnsSecKeyHolder.value.getHandle());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}