package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class CreateRegistrantExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		Registrant registrant =  new Registrant();
		registrant.setName("John Doe");
		registrant.setAddress1("Address1Test");
		registrant.setCity("CityTest");
		registrant.setPostalCode("888349");
		registrant.setCountryCode("DK");
		registrant.setEmail("administrator@ascio-test-domain.com");
		registrant.setPhone("+45.123456789");


		try {
			//inputs holders

			RegistrantHolder registrantHolder = new RegistrantHolder(registrant);

			Response response = env.getClient().createRegistrant(env.getSessionId(), registrantHolder);


			System.out.println("CreateRegistrant ResultCode\t: " + response.getResultCode().toString());
			System.out.println("CreateRegistrant Message\t: " + response.getMessage());
			System.out.println("Created Handle\t: " + registrantHolder.value.getHandle());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}