package ascio.v2.examples;
import java.util.Calendar;
import com.ascio.www._2007._01.*;

import ascio.lib.*;

public class UploadRegistrantVerificationMessageExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();
		String fileContentString = "abc123";


		Attachment attachment =  new Attachment();
		attachment.setData(fileContentString.getBytes());
		attachment.setFileName("anything.jpg");

		Attachment[] attachments = new Attachment[]{attachment};



		Message message =  new Message();
		message.setAttachments(attachments);
		message.setBody("BodyTest");
		message.setCreated(Calendar.getInstance());
		message.setFromAddress("administrator@ascio-test-domain.com");
		message.setSubject("base64-encoded or 7 Bit ASCII");
		message.setToAddress("ToAddressTest");
		message.setType(MessageType.Message_to_Partner);

		Message[] messages = new Message[]{message};



		RegistrantVerificationDetails details =  new RegistrantVerificationDetails();
		details.setVerifiedBy("1.1.1.1");
		details.setVerificationDate(Calendar.getInstance());
		details.setMessages(messages);


		try {

			Response response = env.getClient().uploadRegistrantVerificationMessage(env.getSessionId(), "administrator@ascio-test-domain.com", details);


			System.out.println("UploadRegistrantVerificationMessage ResultCode\t: " + response.getResultCode().toString());
			System.out.println("UploadRegistrantVerificationMessage Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}