package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class RegisterDefensiveOrderRequestExample {
	public static CreateOrderResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setPhone("+45.123456789");
		owner.setEmail("administrator@ascio-test-domain.com");

		ExtensionsKeyValue adminExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		adminExtensions[0].setKey("Title");
		adminExtensions[0].setValue("Mrs.");



		Contact admin =  new Contact();
		admin.setFirstName("John");
		admin.setLastName("Doe");
		admin.setOrgName("Ascio");
		admin.setAddress1("Address1Test");
		admin.setCity("CityTest");
		admin.setState("StateTest");
		admin.setPostalCode("888349");
		admin.setCountryCode("DK");
		admin.setPhone("+45.123456789");
		admin.setEmail("administrator@ascio-test-domain.com");
		admin.setType("owner");
		admin.setExtensions(adminExtensions);

		ExtensionsKeyValue techExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		techExtensions[0].setKey("Title");
		techExtensions[0].setValue("Mrs.");



		Contact tech =  new Contact();
		tech.setFirstName("John");
		tech.setLastName("Doe");
		tech.setOrgName("Ascio");
		tech.setAddress1("Address1Test");
		tech.setCity("CityTest");
		tech.setState("StateTest");
		tech.setPostalCode("888349");
		tech.setCountryCode("DK");
		tech.setPhone("+45.123456789");
		tech.setEmail("administrator@ascio-test-domain.com");
		tech.setType("owner");
		tech.setExtensions(techExtensions);

		ExtensionsKeyValue billingExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		billingExtensions[0].setKey("Title");
		billingExtensions[0].setValue("Mrs.");



		Contact billing =  new Contact();
		billing.setFirstName("John");
		billing.setLastName("Doe");
		billing.setOrgName("Ascio");
		billing.setAddress1("Address1Test");
		billing.setCity("CityTest");
		billing.setState("StateTest");
		billing.setPostalCode("888349");
		billing.setCountryCode("DK");
		billing.setPhone("+45.123456789");
		billing.setEmail("administrator@ascio-test-domain.com");
		billing.setType("owner");
		billing.setExtensions(billingExtensions);

		ExtensionsKeyValue resellerExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		resellerExtensions[0].setKey("Title");
		resellerExtensions[0].setValue("Mrs.");



		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setOrgName("Ascio");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setState("StateTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setPhone("+45.123456789");
		reseller.setEmail("administrator@ascio-test-domain.com");
		reseller.setType("owner");
		reseller.setExtensions(resellerExtensions);


		Defensive defensive =  new Defensive();
		defensive.setHandle("JD123");
		defensive.setName("John Doe");
		defensive.setMarkHandle("MarkHandleTest");
		defensive.setAuthInfo("X4FF!zu");
		defensive.setEncoding("EncodingTest");
		defensive.setOwner(owner);
		defensive.setAdmin(admin);
		defensive.setTech(tech);
		defensive.setBilling(billing);
		defensive.setReseller(reseller);


		DefensiveOrderRequest request =  new DefensiveOrderRequest();
		request.setType(OrderType.Register);
		request.setPeriod(1);
		request.setTransactionComment("TransactionCommentTest");
		request.setComments("CommentsTest");
		request.setDocumentation("DocumentationTest");
		request.setOptions("OptionsTest");
		request.setDefensive(defensive);


		try {
			CreateOrderResponse response = env.getClient().createOrder(request);			
			System.out.println("response\n");
			System.out.println("CreateOrder Code\t:" + response.getResultCode());
			System.out.println("CreateOrder Message\t: " + response.getResultMessage());

			System.out.println("Created OrderId	: "+response.getOrderInfo().getOrderId());
			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new CreateOrderResponse();

	}
}