package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class RegisterNameWatchOrderRequestExample {
	public static CreateOrderResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();


		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setEmail("administrator@ascio-test-domain.com");


		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setEmail("administrator@ascio-test-domain.com");


		NameWatch nameWatch =  new NameWatch();
		nameWatch.setHandle("JD123");
		nameWatch.setName("ascio-is-great.com");
		nameWatch.setNotificationFrequency(NotificationFrequencyType.Daily);
		nameWatch.setTier(1);
		nameWatch.setEmailNotification1("EmailNotification1Test");
		nameWatch.setEmailNotification2("EmailNotification2Test");
		nameWatch.setEmailNotification3("EmailNotification3Test");
		nameWatch.setEmailNotification4("EmailNotification4Test");
		nameWatch.setEmailNotification5("EmailNotification5Test");
		nameWatch.setOwner(owner);
		nameWatch.setReseller(reseller);
		nameWatch.setObjectComment("Example Object Comment");


		NameWatchOrderRequest request =  new NameWatchOrderRequest();
		request.setType(OrderType.Register);
		request.setPeriod(1);
		request.setTransactionComment("TransactionCommentTest");
		request.setComments("CommentsTest");
		request.setDocumentation("DocumentationTest");
		request.setOptions("OptionsTest");
		request.setNameWatch(nameWatch);


		try {
			CreateOrderResponse response = env.getClient().createOrder(request);			
			System.out.println("response\n");
			System.out.println("CreateOrder Code\t:" + response.getResultCode());
			System.out.println("CreateOrder Message\t: " + response.getResultMessage());

			System.out.println("Created OrderId	: "+response.getOrderInfo().getOrderId());
			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
		} catch (Exception e) {
			System.out.print(e);
		}
		return new CreateOrderResponse();

	}
}