var soap = require("soap");

var registerMarkOrderRequestExample = function(callback) {


	//Registrant
	owner =  {};
	owner.FirstName="John";
	owner.LastName="Doe";
	owner.Address1="Address1Test";
	owner.City="CityTest";
	owner.PostalCode="888349";
	owner.CountryCode="DK";
	owner.Email="administrator@ascio-test-domain.com";


	//Contact
	reseller =  {};
	reseller.FirstName="John";
	reseller.LastName="Doe";
	reseller.OrgName="Ascio";
	reseller.Address1="Address1Test";
	reseller.City="CityTest";
	reseller.State="StateTest";
	reseller.PostalCode="888349";
	reseller.CountryCode="DK";
	reseller.Email="administrator@ascio-test-domain.com";
	reseller.Type="owner";


	//KeyValue
	keyValue =  {};
	keyValue.Key="Title";
	keyValue.Value="Mr.";


	//Extensions
	markExtensions =  [{

	}]


	//TreatyOrStatuteMark
	mark =  
                    {
                        attributes: {
                            xsi_type: {
                                type: "http://www.ascio.com/2013/02",
                                xmlns: "TreatyOrStatuteMark"
                            }
                        }
                    };
	mark.Handle="JD123";
	mark.MarkName="MarkNameTest";
	mark.MarkId="MarkIdTest";
	mark.AuthInfo="X4FF!zu";
	mark.ServiceType="Standard";
	mark.GoodsAndServicesDescription="GoodsAndServicesDescriptionTest";
	mark.Labels=[{ "q3:string": ""}];
	mark.ClaimEmailNotification1="ClaimEmailNotification1Test";
	mark.ClaimEmailNotification2="ClaimEmailNotification2Test";
	mark.ClaimEmailNotification3="ClaimEmailNotification3Test";
	mark.ClaimEmailNotification4="ClaimEmailNotification4Test";
	mark.ClaimEmailNotification5="ClaimEmailNotification5Test";
	mark.NotificationFrequency="Daily";
	mark.Owner=owner;
	mark.Reseller=reseller;
	mark.Extensions=markExtensions;
	mark.ObjectComment="Example Object Comment";
	mark.Title="TitleTest";
	mark.ReferenceNumber="ReferenceNumberTest";
	mark.Country="DK";
	mark.Region="RegionTest";
	mark.ProtectionDate="2021-11-23T13:48:36.887+01:00";
	mark.ExecutionDate="2021-11-23T13:48:36.887+01:00";


	//MarkOrderDocument
	markOrderDocument =  {};
	markOrderDocument.FileName="anything.jpg";
	markOrderDocument.Content=new Buffer('1234', 'base64');;
	markOrderDocument.DocType="TrademarkAssigneeDeclaration";


	//ArrayOfMarkOrderDocument
	documents =  [{

	}]


	//MarkOrderRequest
	request =  
                    {
                        attributes: {
                            xsi_type: {
                                type: "http://www.ascio.com/2013/02",
                                xmlns: "MarkOrderRequest"
                            }
                        }
                    };
	request.Type="Register";
	request.Period=1;
	request.TransactionComment="TransactionCommentTest";
	request.Comments="CommentsTest";
	request.Documentation="DocumentationTest";
	request.Options="OptionsTest";
	request.Mark=mark;
	request.Documents=documents;
	
	soap.createClient("https://aws.demo.ascio.com/v3/aws.wsdl", function(err, client) {
		if(err) {
			callback(err);
		} 
		else {
			const header = {
				SecurityHeaderDetails : {
					Account: "ascio-account",
					Password: "mypassword123"
				}			
			};
			const ns="http://www.ascio.com/2013/02";
			client.addSoapHeader(header, ns, "q1");
			client.CreateOrder({request: request}, function(err,result) {
				if(err) {
					callback({error: err , request : result.request.body});
				} else {
					if(result.CreateOrderResult.ResultCode < 400) {
						callback(null,result);	
					} else {
						callback({error: result.CreateOrderResult,request : request});
					}	
				}
			});

		};
	});
};
registerMarkOrderRequestExample(function(err,result) {
	if(err) {
		console.log("\n\n Request \n\n",err.request, "\n\n Response \n\n" ,err.error,"\n");
	}
	else {
		console.log(result);
	}
});