var soap = require("soap");

var registerNameWatchOrderRequestExample = function(callback) {


	//Registrant
	owner =  {};
	owner.FirstName="John";
	owner.LastName="Doe";
	owner.Address1="Address1Test";
	owner.City="CityTest";
	owner.PostalCode="888349";
	owner.CountryCode="DK";
	owner.Email="administrator@ascio-test-domain.com";


	//Contact
	reseller =  {};
	reseller.FirstName="John";
	reseller.LastName="Doe";
	reseller.Address1="Address1Test";
	reseller.City="CityTest";
	reseller.PostalCode="888349";
	reseller.CountryCode="DK";
	reseller.Email="administrator@ascio-test-domain.com";


	//NameWatch
	nameWatch =  {};
	nameWatch.Handle="JD123";
	nameWatch.Name="ascio-is-great.com";
	nameWatch.NotificationFrequency="Daily";
	nameWatch.Tier=1;
	nameWatch.EmailNotification1="EmailNotification1Test";
	nameWatch.EmailNotification2="EmailNotification2Test";
	nameWatch.EmailNotification3="EmailNotification3Test";
	nameWatch.EmailNotification4="EmailNotification4Test";
	nameWatch.EmailNotification5="EmailNotification5Test";
	nameWatch.Owner=owner;
	nameWatch.Reseller=reseller;
	nameWatch.ObjectComment="Example Object Comment";


	//NameWatchOrderRequest
	request =  
                    {
                        attributes: {
                            xsi_type: {
                                type: "http://www.ascio.com/2013/02",
                                xmlns: "NameWatchOrderRequest"
                            }
                        }
                    };
	request.Type="Register";
	request.Period=1;
	request.TransactionComment="TransactionCommentTest";
	request.Comments="CommentsTest";
	request.Documentation="DocumentationTest";
	request.Options="OptionsTest";
	request.NameWatch=nameWatch;
	
	soap.createClient("https://aws.demo.ascio.com/v3/aws.wsdl", function(err, client) {
		if(err) {
			callback(err);
		} 
		else {
			const header = {
				SecurityHeaderDetails : {
					Account: "ascio-account",
					Password: "mypassword123"
				}			
			};
			const ns="http://www.ascio.com/2013/02";
			client.addSoapHeader(header, ns, "q1");
			client.CreateOrder({request: request}, function(err,result) {
				if(err) {
					callback({error: err , request : result.request.body});
				} else {
					if(result.CreateOrderResult.ResultCode < 400) {
						callback(null,result);	
					} else {
						callback({error: result.CreateOrderResult,request : request});
					}	
				}
			});

		};
	});
};
registerNameWatchOrderRequestExample(function(err,result) {
	if(err) {
		console.log("\n\n Request \n\n",err.request, "\n\n Response \n\n" ,err.error,"\n");
	}
	else {
		console.log(result);
	}
});