<?php
$wsdl = "https://aws.demo.ascio.com/v3/aws.wsdl";
//$wsdl = "https://aws.ascio.com/v3/aws.wsdl";
$client = new SoapClient($wsdl,array( "trace" => 1, "soap_version" => SOAP_1_1));
$credentials = array("Account"=> "myaccount", "Password" => "mypassword");
$header = new \SoapHeader("http://www.ascio.com/2013/02","SecurityHeaderDetails", $credentials, false);
$client->__setSoapHeaders($header);

//AutoInstallSsl

$autoInstallSsl =  [
	"Handle" => "JD123",
	"CommonName" => "ascio-test-domain.com",
	"ProductCode" => "positivessl",
	"Email" => "administrator@ascio-test-domain.com",
	"SanCount" => 1,
	"ObjectComment" => "Example Object Comment"
];

//AutoInstallSslOrderRequest

$request =  [
	"Type" => "Register",
	"Period" => 1,
	"TransactionComment" => "TransactionCommentTest",
	"Comments" => "CommentsTest",
	"Documentation" => "DocumentationTest",
	"Options" => "OptionsTest",
	"AutoInstallSsl" => $autoInstallSsl
];

//CreateOrder

$createOrder =  [
	"request" => new SoapVar($request, SOAP_ENC_OBJECT, "AutoInstallSslOrderRequest", "http://www.ascio.com/2013/02","request","http://www.ascio.com/2013/02/AscioService")
];

try{	
    $result = $client->createOrder($createOrder);
    echo "ResultCode : ".$result->CreateOrderResult->ResultCode."\r\n";
    echo "ResultMessage : ".$result->CreateOrderResult->ResultMessage."\r\n";
    if(is_array($result->CreateOrderResult->Errors->string)) {
        echo "Errors:\r\n";
        foreach($result->CreateOrderResult->Errors->string as $key => $value) {
            echo " - " . $value."\r\n";
        }
    }
} catch(Exception $e) {
	echo $e->getMessage(); 
}

