<?php
$wsdl = "https://aws.demo.ascio.com/v3/aws.wsdl";
//$wsdl = "https://aws.ascio.com/v3/aws.wsdl";
$client = new SoapClient($wsdl,array( "trace" => 1, "soap_version" => SOAP_1_1));
$credentials = array("Account"=> "myaccount", "Password" => "mypassword");
$header = new \SoapHeader("http://www.ascio.com/2013/02","SecurityHeaderDetails", $credentials, false);
$client->__setSoapHeaders($header);

//Registrant

$owner =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$reseller =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"OrgName" => "Ascio",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"State" => "StateTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Email" => "administrator@ascio-test-domain.com",
	"Type" => "owner"
];

//KeyValue

$keyValue =  [
	"Key" => "Title",
	"Value" => "Mr."
];

//Extensions

$markExtensions =  [
	"KeyValue" => [$keyValue]
];

//TreatyOrStatuteMark

$mark =  [
	"Handle" => "JD123",
	"MarkName" => "MarkNameTest",
	"MarkId" => "MarkIdTest",
	"AuthInfo" => "X4FF!zu",
	"ServiceType" => "Standard",
	"GoodsAndServicesDescription" => "GoodsAndServicesDescriptionTest",
	"Labels" => ["item1","item2"],
	"ClaimEmailNotification1" => "ClaimEmailNotification1Test",
	"ClaimEmailNotification2" => "ClaimEmailNotification2Test",
	"ClaimEmailNotification3" => "ClaimEmailNotification3Test",
	"ClaimEmailNotification4" => "ClaimEmailNotification4Test",
	"ClaimEmailNotification5" => "ClaimEmailNotification5Test",
	"NotificationFrequency" => "Daily",
	"Owner" => $owner,
	"Reseller" => $reseller,
	"Extensions" => $markExtensions,
	"ObjectComment" => "Example Object Comment",
	"Title" => "TitleTest",
	"ReferenceNumber" => "ReferenceNumberTest",
	"Country" => "DK",
	"Region" => "RegionTest",
	"ProtectionDate" => "ProtectionDateTest",
	"ExecutionDate" => "ExecutionDateTest"
];

//MarkOrderDocument

$markOrderDocument =  [
	"FileName" => "anything.jpg",
	"Content" => "ContentTest",
	"DocType" => "TrademarkAssigneeDeclaration"
];

//ArrayOfMarkOrderDocument

$documents =  [
	"MarkOrderDocument" => [$markOrderDocument]
];

//MarkOrderRequest

$request =  [
	"Type" => "Register",
	"Period" => 1,
	"TransactionComment" => "TransactionCommentTest",
	"Comments" => "CommentsTest",
	"Documentation" => "DocumentationTest",
	"Options" => "OptionsTest",
	"Mark" => new SoapVar($mark, SOAP_ENC_OBJECT, "TreatyOrStatuteMark", "http://www.ascio.com/2013/02","mark","http://www.ascio.com/2013/02"),
	"Documents" => $documents
];

//CreateOrder

$createOrder =  [
	"request" => new SoapVar($request, SOAP_ENC_OBJECT, "MarkOrderRequest", "http://www.ascio.com/2013/02","request","http://www.ascio.com/2013/02/AscioService")
];

try{	
    $result = $client->createOrder($createOrder);
    echo "ResultCode : ".$result->CreateOrderResult->ResultCode."\r\n";
    echo "ResultMessage : ".$result->CreateOrderResult->ResultMessage."\r\n";
    if(is_array($result->CreateOrderResult->Errors->string)) {
        echo "Errors:\r\n";
        foreach($result->CreateOrderResult->Errors->string as $key => $value) {
            echo " - " . $value."\r\n";
        }
    }
} catch(Exception $e) {
	echo $e->getMessage(); 
}

